#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>

uint16_t _ms = 0;
uint16_t _s  = 0;
uint16_t _led  = 0;

ISR(TIMER0_COMPA_vect)
{
  _ms++;
  if( _ms == 1000 ) {
      _ms = 0;
      _s++;
      if( _led == 9 ) _led = 0;
      PORTD = 1 << _led;
      _led++;
  }
}

int main(void)
{
  /* we use D as output*/
  DDRD = 0xff;

  // set up timer0
  TCCR0A  = (1 << WGM01);
  TCCR0B |= (1 << CS01) | (1 << CS00);
  OCR0A   = 0xF9;
  TIMSK0 |= (1 << OCIE0A);

  /* enable interrupts */
  sei();

  while(1)
  {
    /* nothin */
  }
}

